include "scripting/messages.lua"

   function check_stonemason()  -- check for completed stonemason
   while #p1:get_buildings("empire_stonemasons_house") < 1 do sleep(2000) end
   campaign_message_box(amalea_3)
   -- don't use all your marble for columns
   o3 = add_campaign_objective(obj_lower_marble_column_demand)
   run(economy_settings)
   end   
   
   function check_wood_industry()  -- check for completed Woddcutter and sawmill
   while not check_for_buildings(p1, { empire_lumberjacks_house = 1, empire_sawmill = 1}) do sleep(2000) end
   campaign_message_box(amalea_10)
   end  
   
   function check_military()  -- check for too much military buildings
     local too_much_mil_build = nil
	 while not too_much_mil_build do
	 local number_mil_buildings = p1:get_buildings{"empire_sentry", "empire_blockhouse", "empire_outpost", "empire_barrier", "empire_tower"}
      if  ((#number_mil_buildings.empire_sentry+#number_mil_buildings.empire_blockhouse+#number_mil_buildings.empire_outpost+#number_mil_buildings.empire_barrier+#number_mil_buildings.empire_tower) > 2 and #p1:get_buildings("empire_port") < 2) then
	     too_much_mil_build = 1
	     break
	   end
	   sleep(3000)
	 end
	 campaign_message_box(amalea_9)
   end     
   
   function economy_settings()  -- check for opened economy options window
   while not mv.windows.economy_options do sleep(2434) end
   o3.done = true 
   campaign_message_box(amalea_8)   
   sleep(30000)
   end   
   
   function building_industry()  -- check for completed building industry
   run(check_stonemason)
   run(check_wood_industry)
   while not check_for_buildings(p1, { empire_lumberjacks_house = 1, empire_sawmill = 1, empire_stonemasons_house = 1})
      do sleep(2343) end
   o2.done = true
   end


   
   function port_build()  -- check for port build to realize we need gold
   while not check_for_buildings(p1, {empire_port = 1}) do sleep(2434) end
   campaign_message_box(amalea_6)
   o7 = add_campaign_objective(obj_produce_gold)
   run(check_gold)
   end
   
   function check_gold()  -- check for gold to be able to send out expeditions
   while count_in_warehouses("gold") < 6 do sleep(2434) end
   campaign_message_box(amalea_7)
   o7.done = true
   end
   
   function ship_industry()
   run(port_build)
   while not check_for_buildings(p1, { empire_port = 1, empire_shipyard =1 }) do sleep(2434) end
   campaign_message_box(diary_page_4)
   o5.done = true
   end
   
   function wheat()
   while count_in_warehouses("wheat") < 50 do sleep(2434) end
   campaign_message_box(amalea_5)
   o6.done = true
   -- We need to turn the wheat into cloth for building ships
   while not o6.done == true do sleep(2434) end
   o8 = add_campaign_objective(obj_produce_cloth)
   while count_in_warehouses("cloth") < 4 do sleep(2434) end
   o8.done = true
   run(expedition)
   end
   
   function expedition()
   -- now we should explore our little world
   while not o5.done == true do sleep(2434) end
   campaign_message_box(saledus_5)
   o9 = add_campaign_objective(obj_build_expedition_ports)
   while not check_for_buildings(p1, { empire_port = 3 }) do sleep(2434) end
   campaign_message_box(saledus_6)
   o10 = add_campaign_objective(obj_conquer_all)
   o9.done = true
      while true do
      local barmil = p2:get_buildings{"barbarians_headquarters", "barbarians_warehouse", "barbarians_port"}
      if (#barmil.barbarians_headquarters + #barmil.barbarians_warehouse + #barmil.barbarians_port) < 1 then
         break
      end
      sleep(2342)
   end
   o10.done = true
   -- Everything done. Get home and defend the empire
   campaign_message_box(saledus_7)

   sleep(25000) -- Sleep a while

   campaign_message_box(diary_page_5)
   end
   
function mission_thread()
   sleep(1000)

   -- Initial messages
   local sea = map:get_field(28, 8)
   scroll_smoothly_to(sea,5)

   campaign_message_box(diary_page_1)
   sleep(400)

   -- Show the sea
   p1:reveal_fields(sea:region(5))
   local ship = p1:place_ship(sea)
   sleep(1000)
   campaign_message_box(diary_page_2)
   -- Hide the sea after 5 seconds
   run(function() sleep(5000) p1:hide_fields(sea:region(5)) end)

   -- Back home
   include "map:scripting/starting_conditions.lua"
   scroll_smoothly_to(sf)
   campaign_message_box(diary_page_3)
   ship:remove()

   sleep(400)

    campaign_message_box(saledus)
	sleep(100)
    campaign_message_box(amalea)
	sleep(100)
    campaign_message_box(saledus_1)
    o = add_campaign_objective(obj_build_first_outpost)
    while #p1:get_buildings("empire_outpost") < 1 do sleep(3249) end
    o.done = true

   -- Outpost is completed now
   campaign_message_box(saledus_2)
   o1 = add_campaign_objective(obj_build_quarry)
   campaign_message_box(amalea_1)
   while #p1:get_buildings("empire_quarry") < 1 do sleep(2000) end
   o1.done = true

   -- quarry is now build but we need more basic infrastructure
   campaign_message_box(amalea_2)
   o2 = add_campaign_objective(obj_build_sawmill_stonemason_and_lumberjacks)
   -- in the same time we need to discover more land and a port space
   run(building_industry)
   sleep(10000)
   campaign_message_box(saledus_3)
   sleep(30000)
   o4 = add_campaign_objective(obj_find_port_space)
   sleep(30000)
  
   local port = map:get_field(17, 17)
   local fowned = nil
     while not fowned do
         if port.owner == p1 then
            fowned = 1
            break
         end
		 sleep(3000)
	  end
      sleep(3213)
   o4.done = true
   -- Portspace discovered now we can build a port
   campaign_message_box(saledus_4)
   o5 = add_campaign_objective(obj_build_port_and_shipyard)
   run(ship_industry)
   -- patience we have to think about how to get enough cloth to build a ship
   campaign_message_box(amalea_4)
   o6 = add_campaign_objective(obj_produce_wheat)
   run(wheat)
   
end

run(mission_thread)
run(check_military)
